Subject: Re: Regression due to: net/usbnet: avoid recursive locking in usbnet_stop()

From: Stephen Warren <[email-masked]>
Date: Fri, 23 Mar 2012 10:53:02 -0600

On 03/22/2012 09:28 PM, Ming Lei wrote:
> On Fri, Mar 23, 2012 at 6:56 AM, Stephen Warren <[email-masked]> wrote:
>> It looks like commit 4231d47e6fe69f061f96c98c30eaf9fb4c14b96d
>> "net/usbnet: avoid recursive locking in usbnet_stop()" causes a problem
>> for me.
>>
>> When I reboot or shutdown, I see the error spew below at least 50% of
>> the time. Reverting the above patch fixes this, at least for 10 reboot
>> attempts.
> 
> The two patches[1][2] should fix your problem, please try them.
> Both have been applied into David's tree.
> 
> [1], http://marc.info/?l=linux-usb&m=133242262312402&w=2
> [2], http://marc.info/?l=linux-usb&m=133242264412410&w=2

Those two patches do solve the problem I was seeing, thanks.

FWIW, too late, but:
Tested-by: Stephen Warren <[email-masked]>